Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan::BotanErrorCategory Struct Reference

An error category for errors from Botan (other than TLS alerts) More...

`#include <asio_error.h>`

Inheritance diagram for Botan::BotanErrorCategory:

## Public Member Functions
std::string | message (int ev) const override
const char * | name () const noexcept override

## Detailed Description

An error category for errors from Botan (other than TLS alerts)

Definition at line 99 of file asio_error.h.

## Member Function Documentation

## ◆ message()

std::string Botan::BotanErrorCategory::message | ( | int | ev | ) | const
| inline override

Definition at line 106 of file asio_error.h.

107 {
108 return Botan::to_string(static_cast<Botan::ErrorType>(ev));
109 }
Botan::ErrorType
ErrorType
Definition: exceptn.h:20
Botan::to_string
std::string to_string(ErrorType type)
Convert an ErrorType to string.
Definition: exceptn.cpp:11

References Botan::to_string().

## ◆ name()

const char * Botan::BotanErrorCategory::name | ( |  | ) | const
| inline override noexcept

Definition at line 101 of file asio_error.h.

102 {
103 return "Botan";
104 }

The documentation for this struct was generated from the following file:

- src/lib/tls/asio/asio_error.h